<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>hg files</title>
<link rel="stylesheet" href="../style.css" type="text/css" />
</head>
<body>
<div class="document" id="hg-files">
<span id="hg-files-1"></span>
<h1 class="title">hg files</h1>
<h2 class="subtitle" id="list-tracked-files">list tracked files</h2>

<div class="contents htmlonly topic" id="contents">
<p class="topic-title"><a class="reference internal" href="#top">Contents</a></p>
<ul class="simple">
<li><a class="reference internal" href="#synopsis" id="toc-entry-1">Synopsis</a></li>
<li><a class="reference internal" href="#description" id="toc-entry-2">Description</a></li>
<li><a class="reference internal" href="#options" id="toc-entry-3">Options</a></li>
</ul>
</div>
<div class="section" id="synopsis">
<h1><a class="toc-backref" href="#contents">Synopsis</a></h1>
<pre class="literal-block">
hg files [OPTION]... [FILE]...
</pre>
</div>
<div class="section" id="description">
<h1><a class="toc-backref" href="#contents">Description</a></h1>
<p>Print files under Mercurial control in the working directory or
specified revision for given files (excluding removed files).
Files can be specified as filenames or filesets.</p>
<p>If no files are given to match, this command prints the names
of all files under Mercurial control.</p>
<div class="verbose docutils container">
<p>Template:</p>
<p>The following keywords are supported in addition to the common template
keywords and functions. See also <a class="reference external" href="hg.1.html#templates"><tt class="docutils literal">hg help templates</tt></a>.</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">flags:</th><td class="field-body">String. Character denoting file's symlink and executable bits.</td>
</tr>
<tr class="field"><th class="field-name">path:</th><td class="field-body">String. Repository-absolute path of the file.</td>
</tr>
<tr class="field"><th class="field-name">size:</th><td class="field-body">Integer. Size of the file in bytes.</td>
</tr>
</tbody>
</table>
<p>Examples:</p>
<ul>
<li><p class="first">list all files under the current directory:</p>
<pre class="literal-block">
hg files .
</pre>
</li>
<li><p class="first">shows sizes and flags for current revision:</p>
<pre class="literal-block">
hg files -vr .
</pre>
</li>
<li><p class="first">list all files named README:</p>
<pre class="literal-block">
hg files -I &quot;**/README&quot;
</pre>
</li>
<li><p class="first">list all binary files:</p>
<pre class="literal-block">
hg files &quot;set:binary()&quot;
</pre>
</li>
<li><p class="first">find files containing a regular expression:</p>
<pre class="literal-block">
hg files &quot;set:grep('bob')&quot;
</pre>
</li>
<li><p class="first">search tracked file contents with xargs and grep:</p>
<pre class="literal-block">
hg files -0 | xargs -0 grep foo
</pre>
</li>
</ul>
</div>
<p>See <a class="reference external" href="topic-patterns.html"><tt class="docutils literal">hg help patterns</tt></a> and <a class="reference external" href="topic-filesets.html"><tt class="docutils literal">hg help filesets</tt></a> for more information
on specifying file patterns.</p>
<p>Returns 0 if a match is found, 1 otherwise.</p>
</div>
<div class="section" id="options">
<h1><a class="toc-backref" href="#contents">Options</a></h1>
<table class="docutils option-list" frame="void" rules="none">
<col class="option" />
<col class="description" />
<tbody valign="top">
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-r</span>, <span class="option">--rev <var>&lt;REV&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>search the repository as it is in REV</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-0</span>, <span class="option">--print0</span></kbd></td>
<td>end filenames with NUL, for use with xargs</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-I</span>, <span class="option">--include <var>&lt;PATTERN[+]&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>include names matching the given patterns</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-X</span>, <span class="option">--exclude <var>&lt;PATTERN[+]&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>exclude names matching the given patterns</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-T</span>, <span class="option">--template <var>&lt;TEMPLATE&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>display with template</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-S</span>, <span class="option">--subrepos</span></kbd></td>
<td>recurse into subrepositories</td></tr>
</tbody>
</table>
<p>[+] marked option can be specified multiple times</p>
</div>
</div>
</body>
</html>
